# Puppet Module
# `gajdaw/django_app`

#### Table of Contents

1. [Overview](#overview)
2. [Setup](#setup)
3. [Usage](#usage)
4. [Limitations](#limitations)
5. [Tests](#tests)

## Overview

The module to create virtual host for an application written in django.

The module exposes `django_app::vhost` define that
easies the task of defining virtual hosts.

## Setup

To install the module run:

    sudo puppet install module gajdaw-django_app

## Usage

Supposing that your application is stored in:

    /home/vagrant/reptiles-django-app/reptiles/reptiles

To be more exact, the path to `wsgi.py` file is supposed
to be:

    /home/vagrant/reptiles-django-app/reptiles/reptiles/wsgi.py

If you want to run a virtual host available under
`http://reptiles.lh` then use the following manifest:

    include django_app

    django_app::vhost { 'reptiles.lh':
         docroot => '/home/vagrant/reptiles-django-app/reptiles/reptiles'
    }

You will find more examples in `examples/` directory.

## Limitations

The module was tested on all the platforms that appear in `metadata.json`.

## Tests

Logs are available in
[gh-pages branch](https://github.com/puppet-by-examples/puppet-django_app/tree/gh-pages/log).
