# == Class: django_app
#
# Class to install: django, apache, libapache2-mod-wsgi
#
# Parameters:
#
# None
#

class django_app (
    $default_vhost  = false,
    $service_enable = true,
    $service_ensure = true
) {

    # validate_platform() function comes from
    # puppet module gajdaw/diverse_functions
    #
    #     https://forge.puppetlabs.com/gajdaw/diverse_functions
    #
    if !validate_platform($module_name) {
        fail("Platform not supported in module '${module_name}'.")
    }

    class { 'apache':
        default_vhost  => $default_vhost,
        service_enable => $service_enable,
        service_ensure => $service_ensure
    }

    include django

    $packages = [
        'libapache2-mod-wsgi',
    ]

    ensure_packages($packages)

}